PDA

View Full Version : Installing Q3 fuXored my system



04-30-2000, 03:39 AM
I have a Blue & White G3, 350 Mhz/64Mg/^gig/DVD with OS 8.6

after installing Q3, everything went haywire.
The graphics are like, one part of the screen would be yellow, the restmessed.. sometimes you can hear the sounds.

Even my Q2 gameplay was messed. A whitescree for like 15 seconds, then like, half the screen would be pink and I would see trails....


then Q2 would crash.

For both, I get type three errors, and sometimes type 2, and a couple of times a type 1.

I looked at the type of Open GL I had after installing Q3, and saw 1.12

I have tried:-

re-installing the ATI drives (by both just opening the app, and removing everything ATI related)

reinstalling the ATI software updater 1.1

I even re-installed Q3.

I had the latest Gamesprockets installed, 1.73 I believe

I installed the QDraw 3D 1.6 updaters, even.

Since Open GL 1.12 was already installed, I didn't have to wory about instaling the ATI drivers after installing it, as I've seen I should do from seeing info on ATI's site.

A a last resort, what I'm going t do is re- install OpenGL 1.0 that came withmy Q2 CD.

If ANYONE can help me, please e-mail me at 3cyberlilly3@usanet in addition to posting a reply here. I would appreciate the e-mail. I'm not registerd.

Thanks a lot, guys.

04-30-2000, 02:36 PM
Originally posted by SpiderBAT:
I have a Blue & White G3, 350 Mhz/64Mg/^gig/DVD with OS 8.6

after installing Q3, everything went haywire.
The graphics are like, one part of the screen would be yellow, the restmessed.. sometimes you can hear the sounds.

Even my Q2 gameplay was messed. A whitescree for like 15 seconds, then like, half the screen would be pink and I would see trails....


then Q2 would crash.

For both, I get type three errors, and sometimes type 2, and a couple of times a type 1.

I looked at the type of Open GL I had after installing Q3, and saw 1.12

I have tried:-

re-installing the ATI drives (by both just opening the app, and removing everything ATI related)

reinstalling the ATI software updater 1.1

I even re-installed Q3.

I had the latest Gamesprockets installed, 1.73 I believe

I installed the QDraw 3D 1.6 updaters, even.

Since Open GL 1.12 was already installed, I didn't have to wory about instaling the ATI drivers after installing it, as I've seen I should do from seeing info on ATI's site.

A a last resort, what I'm going t do is re- install OpenGL 1.0 that came withmy Q2 CD.

If ANYONE can help me, please e-mail me at 3cyberlilly3@usanet in addition to posting a reply here. I would appreciate the e-mail. I'm not registerd.

Thanks a lot, guys.



errors of type 1 through 3 generally have to do with memory. Try allocating more memory to the application. (Q3 eats up memory, so give it some generous amounts, as far above the prefered amount as possible). Otherwise, I see no reason why q3 should not work. My setup is very similar to yours, I have a blue and white g3 400MHz, 128MB or RAM, 6gig, DVD, but I have OS 9.

05-02-2000, 12:08 AM
I have 96mb ram and i have to turn Virtual memory on to 160 for q3
I suggest you do the same.OS8.6 uses a large chunk of that 64mb ram.another 64mb ram will make your system fragin great-worth the money.
you want 10mb ram for openGL +whatever q3 ontop of the ram that 8.6 uses
hope this helps http://www.opengl.org/discussion_boards/ubb/smile.gif

Eric Chan
05-12-2000, 06:26 PM
Keep in mind that OpenGL eats memory from the system heap, not the application memory space. Thus, if you give Quake 3 and such apps too much memory, you don't leave *enough* room for GL to load. This will cause bad things to happen ...

Also, if you reinstall the ATI drivers, I suggest *then* re-installing the GL 1.1.2 drivers, since they update the ATI extensions once again.

ec